%define upstream_name    Thread-SigMask
%define upstream_version 0.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 19

Summary:    Thread specific signal masks
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Thread/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl-devel

%description
This module provides per-thread signal masks. On non-threaded perls it will
be effectively the same as POSIX::sigprocmask. The interface works exactly
the same as sigprocmask.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc INSTALL LICENSE META.json Changes META.yml README
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Fri Dec 01 2023 tv <tv> 0.4.0-19.mga10
+ Revision: 2012431
- Rebuild for perl-5.38

* Wed Aug 03 2022 tv <tv> 0.4.0-18.mga9
+ Revision: 1874852
- Rebuild b/c of "lib/Thread/SigMask.c: loadable library and perl binaries are mismatched (got first handshake key 0xeb00080, needed 0xeb80080)"

* Thu Mar 17 2022 umeabot <umeabot> 0.4.0-17.mga9
+ Revision: 1795324
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 0.4.0-16.mga8
+ Revision: 1607002
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 0.4.0-15.mga8
+ Revision: 1508403
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 tv <tv> 0.4.0-14.mga8
+ Revision: 1502706
- Mageia 8 Mass Rebuild (missed by umeabot)

* Fri Sep 21 2018 umeabot <umeabot> 0.4.0-13.mga7
+ Revision: 1293888
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.4.0-12.mga7
+ Revision: 1249895
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.4.0-11.mga7
+ Revision: 1167124
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.4.0-10.mga7
+ Revision: 1159096
- rebuild with perl-5.26.x

* Sun Jun 19 2016 pterjan <pterjan> 0.4.0-9.mga6
+ Revision: 1035191
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.4.0-8.mga6
+ Revision: 958128
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.4.0-7.mga6
+ Revision: 845359
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.4.0-6.mga6
+ Revision: 841414
- Rebuild for perl 5.22

* Sat Oct 18 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 788053
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 742947
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-3.mga5
+ Revision: 686678
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.4.0-2.mga5
+ Revision: 631814
- Rebuild for perl 5.20

* Fri Apr 18 2014 jquelin <jquelin> 0.4.0-1.mga5
+ Revision: 616338
- imported package perl-Thread-SigMask

